import { reactive } from 'vue'

export const teacherState = reactive({
  authStatus: false as boolean, // 是否立即认证
  nextStatus: false as boolean, // 是否下一步
  subjectList: [], // 声部列表
  active: 0,
  teacherInfo: {} as any,
  teacherCert: {
    realName: '',
    idCardNo: '',
    gender: 1,
    birthdate: null as any,
    subjectId: [] as any,
    introduction: '',
    graduateSchool: null,
    subject: null,
    gradCertificate: '',
    degreeCertificate: '',
    teacherCertificate: ''
  }
})
