import sutdentDownLoad from '@/common/images/student_download.png'
import teacherDownLoad from '@/common/images/teacher_download.png'
import { getUserType } from '@/helpers/utils'
import { ElDialog } from 'element-plus'
import { defineComponent } from 'vue'
export const getAssetsHomeFile = (fileName: string) => {
  const path = `../../images/${fileName}`
  const modules = import.meta.globEager('../../images/*')
  return modules[path].default
}

export default defineComponent({
  name: 'open-member',
  render() {
    console.log(getUserType())
    return (
      <div>
        <img
          src={getAssetsHomeFile('icon_king.png')}
          class="w-[318px] absolute -top-10 left-1/2 -ml-[158px]"
        />
        <div class="text-center text-2xl font-semibold text-[#333] pt-[70px] pb-9">
          手机扫码下载{getUserType() === 'STUDENT' ? '酷乐秀' : '酷乐秀学院'}App
        </div>

        {getUserType() === 'TEACHER' ? (
          <img
            src={teacherDownLoad}
            class="mx-auto w-[216px] h-[216px] align-middle border-4 border-solid border-[#2DC7AA] rounded-[10px]"
          />
        ) : (
          <img
            src={sutdentDownLoad}
            class="mx-auto w-[216px] h-[216px] align-middle border-4 border-solid border-[#2DC7AA] rounded-[10px]"
          />
        )}

        <p class="text-lg text-center text-[#333] pt-8">
          打开{getUserType() === 'STUDENT' ? '酷乐秀' : '酷乐秀学院'}
          App开通会员
        </p>
      </div>
    )
  }
})
